import request from '@/utils/request';

/**
 * 审批
 * @param {*} data
 * @returns
 */
export const updateAudit = (id, data) => request(`/application/${id}/audit`, { method: 'put', data });

/**
 * 发证
 * @param {*} data
 * @returns
 */
export const updateMake = (id, data) => request(`/application/${id}/make`, { method: 'put', data });

/**
 * 查询申请列表
 * @param {*} params
 * @returns
 */
export const getApplicationList = (params) => request('/application', { params });

/**
 * 查询申请详情
 * @param {*} params
 * @returns
 */
export const getApplicationDetail = (id) => request(`/application/${id}`);
